package com.cooleshow.student.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.student.bean.SparringCourseCommentBean;
import com.cooleshow.student.bean.SparringCourseHomeworkBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface SparringCourseDetailContract {

    interface SparringCourseDetailView extends BaseView {
        void getSparringCourseHomeworkSuccess(SparringCourseHomeworkBean homeworkBean);

        void getSparringCourseHomeworkError();

        void getSparringCourseCommentSuccess(SparringCourseCommentBean commentBean);

        void getSparringCourseCommentError();

        void submitSparringCourseTeacherCommentSuccess();

        void submitSparringCourseHomeworkSuccess();

        void submitSparringCourseHomeworkCommentSuccess();
    }

    interface Presenter {
        void getSparringCourseHomework(String courseId);

        void getSparringCourseComment(String courseScheduleId, String courseGroupId);

        void submitSparringCourseComment(String commentContent, String courseScheduleId, String courseGroupId);

        void submitSparringCourseHomework(String commentContent, String courseScheduleId);

        void submitSparringCourseHomeworkComment(String commentContent, String courseScheduleId);
    }
}
